package node

import (
	"blazing/logic/service/fight/input"
)

// 回合开始前
func (e *EffectNode) PreTurnStart() bool {
	return true

}

// 回合开始
func (e *EffectNode) OnTurnStart(opp *input.Input) {

	//处理异常状态

}

// 回合结束一次性effect清楚掉

func (e *EffectNode) TurnEnd(opp *input.Input) {

	if e.duration == 0 { // 保留 (负数表示永久)
		e.NotALive()  
	}
	e.duration--

}
